Page MenuHomePhabricator

Fail mail on 'city is too long'
Closed, ResolvedPublic1 Story Points

Description

I checked a few of these and it was people using the city field for complicated address-like stuff. We should be able to handle that gracefully.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 30 2016, 6:10 PM
Ejegg added a subscriber: Ejegg.Nov 30 2016, 6:12 PM

Yep, at least truncate before sending to the queue. Guess add maxlength to the input fields too.

Change 324550 had a related patch set uploaded (by Ejegg):
Add 'maxlength' attributes to personal info fields

https://gerrit.wikimedia.org/r/324550

Change 324555 had a related patch set uploaded (by Eileen):
Do not hard-fail on overlong city.

https://gerrit.wikimedia.org/r/324555

Change 324555 merged by jenkins-bot:
Do not hard-fail on overlong city.

https://gerrit.wikimedia.org/r/324555

Eileenmcnaughton set the point value for this task to 1.Dec 13 2016, 10:36 PM
Eileenmcnaughton added a subscriber: Eileenmcnaughton.

@Ejegg should we return this to review since there is still your mustache patch against it?

Change 324550 merged by jenkins-bot:
Add 'maxlength' attributes to personal info fields

https://gerrit.wikimedia.org/r/324550

Eileenmcnaughton closed this task as Resolved.Jan 3 2017, 10:22 PM